#ifndef ratecond_h
#define ratecond_h

#include "capd/capdlib.h"
#include <iostream>
using namespace std;
using namespace capd;

///////////////////
// function: satisfiesRateConditions()
//
// This function verifies if rate conditins needed to establish the enclosure of Wu hold.
// The conditions are verified based on the bound on the derivative DF on the whole 
// investigated set.
//
// variables:
//  DF - bound on the derivative
//  L  - The Lipschitz constant for the cones
//  k  - order of the rate conditions
//
// Note:
// This function is written for the particular setting of a problem where coordinates are:
//   (x,y)
//   x - unstable coordinate
//   y - stable coordinate (or center-stable)
bool satisfiesRateConditions(const IMatrix &DF,const interval &L,const int &x_dimension);

interval expansionRate(const IMatrix &DF,const interval &L,const int &x_dimension);

#endif